> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve payment



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/teams/{team_id}/hubs/{hub_id}/payments/{payment_id}
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/teams/{team_id}/hubs/{hub_id}/payments/{payment_id}:
    get:
      tags:
        - checkout-admin
      summary: Retrieve payment
      operationId: >-
        checkout_admin.get_checkout_admin_get_teams_by_team_id_hubs_by_hub_id_payments_by_payment_id
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - in: path
          name: payment_id
          required: true
          schema:
            title: Payment Id
            type: string
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/PaymentResponse'
          description: Successful Response
        '400':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Validation error
        '401':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Not authenticated
        '403':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Forbidden
        '404':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Resource not found
        '409':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Conflict (duplicate)
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Unprocessable entity
        '503':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Stripe unavailable
      security:
        - HTTPBearer: []
components:
  schemas:
    PaymentResponse:
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/PaymentResource'
      required:
        - data
      title: PaymentResponse
      type: object
    JsonApiErrorResponse:
      description: Error JSON:API response.
      properties:
        errors:
          items:
            $ref: '#/components/schemas/JsonApiError'
          title: Errors
          type: array
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - errors
      title: JsonApiErrorResponse
      type: object
    PaymentResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/PaymentAttributes'
        id:
          title: Id
          type: string
        type:
          const: payments
          default: payments
          title: Type
          type: string
      required:
        - id
        - attributes
      title: PaymentResource
      type: object
    JsonApiError:
      properties:
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        source:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Source
        status:
          title: Status
          type: string
        title:
          title: Title
          type: string
      required:
        - status
        - title
      title: JsonApiError
      type: object
    PaymentAttributes:
      additionalProperties: false
      properties:
        amount:
          title: Amount
          type: integer
        amount_refunded:
          default: 0
          title: Amount Refunded
          type: integer
        charged_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Charged At
        contact_id:
          title: Contact Id
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        currency:
          title: Currency
          type: string
        external_charge_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Charge Id
        external_hosted_invoice_url:
          anyOf:
            - type: string
            - type: 'null'
          title: External Hosted Invoice Url
        external_intent_id:
          title: External Intent Id
          type: string
        external_invoice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Invoice Id
        failure_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Failure Code
        failure_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Failure Message
        hub_id:
          title: Hub Id
          type: string
        order_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Order Id
        payment_account_id:
          title: Payment Account Id
          type: string
        receipt_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Receipt Url
        refunded_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Refunded At
        source:
          default: native
          title: Source
          type: string
        status:
          title: Status
          type: string
        subscription_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Subscription Id
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
      required:
        - hub_id
        - contact_id
        - payment_account_id
        - external_intent_id
        - amount
        - currency
        - status
      title: PaymentAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````